Subject: [v6ops] Alissa Cooper's No Objection on draft-ietf-v6ops-transition-ipv4aas-14: (with COMMENT)

From: Alissa Cooper <[email-masked]>
Date: Tue, 15 Jan 2019 14:32:15 -0800

Alissa Cooper has entered the following ballot position for
draft-ietf-v6ops-transition-ipv4aas-14: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-transition-ipv4aas/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

Thanks for addressing my DISCUSS. Here is my original COMMENT:

== Section 1 ==

OLD
This
   ensures that remote IPv4-only services continue to be accessible,
   from an IPv6-only Internet Service Provider access network (typically
   referred as WAN - Wide Area Network, even if in some cases it may be
   metropolitan, regional, etc.), from both, IPv4-only and IPv6-only
   applications or devices in the LAN side.

NEW
This ensures that remote IPv4-only services continue to be accessible
   from an IPv6-only Internet Service Provider (ISP) access network from both
   IPv4-only and IPv6-only applications and devices on the LAN side. These ISP
   access networks are typically referred to as Wide Area Networks (WANs), even
   if in some cases they may be metropolitan or regional.

(Then you could deleted the parenthetical "(Internet Service Providers)" in the
sentence below Figure 1.)

It seems odd that Figure 1 appears in Section 1 but isn't referenced in the
text until Section 12. I think you need a sentence in this section to describe
what is depicted in the figure or why it is there, or you need to remove the
figure.

s/devices or applications/devices and applications/

== Section 3.2 ==

s/an automated IPv6 transition mechanism provisioning/automated IPv6 transition
mechanism provisioning/

s/per interface/per interface/

Would suggest dropping "(which may depend on each transition mechanism)" since
it makes the sentence confusing and doesn't add anything.

== Section 3.2.1 ==

OLD
If DNS64
   [RFC6147] is not used, or not trusted, as the DNS configuration at
   the CE (or hosts behind the CE) may be modified by the customer, then
   the service provider may opt to configure the NAT64 prefix either by
   means of [RFC7225] or [RFC8115], which also can be used if the
   service provider uses DNS64 [RFC6147].

NEW
It may be the case that the service provider does not use or does not trust
DNS64 [RFC6147] because the DNS configuration at the CE (or hosts behind the
CE) may be modified by the customer. In that case, the service provider may opt
to configure the NAT64 prefix either by means of [RFC7225] or [RFC8115]. These
can also be used if the service provider uses DNS64.

== Section 7 ==

I would suggest starting this section with "At the time of this writing, ..."

== Section 12 ==

The text that refers to Figure 1 I think is meant to refer to Figure 2. Or if
not, text is needed to describe Figure 2.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Wed, 16 Jan 2019 08:50:36 +0100

Hi Alissa,

Thanks!

Just to confirm that your comments were addressed as well in -14.

Regards,
Jordi

-----Mensaje original-----
De: v6ops <[email-masked]> en nombre de Alissa Cooper <[email-masked]>
Fecha: martes, 15 de enero de 2019, 23:33
Para: The IESG <[email-masked]>
CC: <[email-masked]>, <[email-masked]>, <[email-masked]>
Asunto: [v6ops] Alissa Cooper's No Objection on draft-ietf-v6ops-transition-ipv4aas-14: (with COMMENT)

    

    == Section 1 ==
    
    OLD
    This
    
    NEW

    
    
    == Section 3.2 ==

    
    
    == Section 3.2.1 ==
    
    OLD
    If DNS64
    
    NEW
    
    == Section 7 ==

    == Section 12 ==

    _______________________________________________
    v6ops mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/v6ops

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.theipv6company.com
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the exclusive use of the individual(s) named above and further non-explicilty authorized disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited and will be considered a criminal offense. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, even if partially, including attached files, is strictly prohibited, will be considered a criminal offense, so you must reply to the original sender to inform about this communication and delete it.